Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000395 [Piwigo] installation & upgrade minor always 2006.06.01 00:22 2006.07.04 00:41
Reporter rub View Status public  
Assigned To plg
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 1.6.0RC3 Product Version 1.6.0RC2
  Target Version Product Build
Summary 0000395: Remove Install directory
Description When I follow advise after update. Remove install files.
This message is diplayed:
Warning: opendir(./install/db) [function.opendir]: failed to open dir: No such file or directory.

Check if directory before search db update.
Steps To Reproduce Upgrade from version 1.5.0 to %PWGVERSION%

Statistics

    * total upgrade time : 4.808 s
    * total SQL time : 4.128 s
    * SQL queries : 47

Upgrade informations

    * [security] delete files "upgrade.php", "install.php" and "install" directory
    * in include/mysql.inc.php, remove

      define('PHPWG_IN_UPGRADE', true);

    * Perform a maintenance check in [Administration>General>Maintenance] if you encounter any problem.
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships
related to 0000861closedplg upgrade feed: incoherent configuration by default 

-  Notes
(0001000)
plg (manager)
2006.06.02 23:05

Checking the existence of "install/db" directory is a solution but not the one I like most. It's time consuming and if the directory does not exist, it creates useless lines in web server error log.

2 propositions:

- modify include/common.inc.php to check IN_UPGRADE :

if ($conf['check_upgrade_feed']
    and defined('PHPWG_IN_UPGRADE')
    and PHPWG_IN_UPGRADE)

- modify the upgrade message : "if you are using a release candidate, don't remove install directory".

Anyway, for 1.6.0 (not release candidate), I will move $conf['check_upgrade_feed'] to 'false' by default.
(0001004)
rub (developer)
2006.06.02 23:43

Modify message, it's not for me a good solution.

But, the first is good.

It's possible to have easily 2 values for $conf['check_upgrade_feed'], true on BSF, RC, ect... False for release product?
(0001006)
plg (manager)
2006.06.02 23:47

OK to modify include/common.inc.php, I'll do it.

rub wrote:
> Is it possible to have easily 2 values [...] ?

Yes, of course, I just switch the value in tags/release-1_6_0.
(0001163)
plg (manager)
2006.07.04 00:41

- corrected on branch 1.6 [Subversion] r1425
- reported on trunk [Subversion] r1426

- Issue History
Date Modified Username Field Change
2006.06.01 00:22 rub New Issue
2006.06.01 00:22 rub browser => any
2006.06.01 00:22 rub Web server => Apache 1.3.x
2006.06.02 23:05 plg Note Added: 0001000
2006.06.02 23:05 plg Assigned To => plg
2006.06.02 23:05 plg Status new => feedback
2006.06.02 23:43 rub Note Added: 0001004
2006.06.02 23:47 plg Note Added: 0001006
2006.06.02 23:48 plg Status feedback => assigned
2006.07.04 00:41 plg Note Added: 0001163
2006.07.04 00:41 plg Status assigned => closed
2006.07.04 00:41 plg Resolution open => fixed
2006.07.04 00:41 plg Fixed in Version => 1.6.0RC3
2008.09.17 14:06 plg Relationship added related to 0000861


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker